## org.jdom.input
Class BuilderErrorHandler

    java.lang.Object
      |
      +--org.jdom.input.BuilderErrorHandler

public class BuilderErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler

Version:
  $Revision: 1.7 $, $Date: 2002/01/08 09:17:10 $
Author:
  Jason Hunter

Constructor Summary
`BuilderErrorHandler()`

Method Summary
`void` `error(org.xml.sax.SAXParseException exception)` This method is called in response to an error that has occurred; this indicates that a rule was broken, typically in validation, but that parsing could reasonably continue.
`void` `fatalError(org.xml.sax.SAXParseException exception)` This method is called in response to a fatal error; this indicates that a rule has been broken that makes continued parsing either impossible or an almost certain waste of time.
`void` `warning(org.xml.sax.SAXParseException exception)` This method is called when a warning has occurred; this indicates that while no XML rules were broken, something appears to be incorrect or missing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuilderErrorHandler

    public BuilderErrorHandler()

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  This method is called when a warning has occurred; this indicates that while no XML rules were broken, something appears to be incorrect or missing. The implementation of this method here is a "no op".

  Specified by:
    warning in interface org.xml.sax.ErrorHandler
  Parameters:
    `exception` - `SAXParseException` that occurred.
  Throws:
    org.xml.sax.SAXException - when things go wrong

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  This method is called in response to an error that has occurred; this indicates that a rule was broken, typically in validation, but that parsing could reasonably continue. The implementation of this method here is to rethrow the exception.

  Specified by:
    error in interface org.xml.sax.ErrorHandler
  Parameters:
    `exception` - `SAXParseException` that occurred.
  Throws:
    org.xml.sax.SAXException - when things go wrong

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  This method is called in response to a fatal error; this indicates that a rule has been broken that makes continued parsing either impossible or an almost certain waste of time. The implementation of this method here is to rethrow the exception.

  Specified by:
    fatalError in interface org.xml.sax.ErrorHandler
  Parameters:
    `exception` - `SAXParseException` that occurred.
  Throws:
    org.xml.sax.SAXException - when things go wrong

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.